<template>
  <article class="news-medium" :data-id="n.source.id" :news="n.title">

    <a class="content" :href="n.url" target="_blank">
      <span class="meta">
        <span class="date">{{ $moment(n.publishedAt).format('lll') }} Uhr</span>
        <span class="source">{{ n.source.name }}</span>
      </span>
      <h2>{{ n.title }}</h2>
    </a>

    <a class="article-image"
       :href="n.url"
       target="_blank"
       :style="`background-image: url('${n.urlToImage}')`">
    </a>

  </article>
</template>

<script>
export default {
  name: "Article",
  props: {
    news: {
      type: Object,
      required: true
    }
  },
  computed: {
    n() {
      return this.news;
    }
  }
}
</script>

<style lang="scss">
.news-medium {
  --size-article-image: 85px;

  position: relative;
  width: 100%;
  @include _display-flex(flex, flex-start, flex-start, row);

  .article-image {
    display: block;
    width: var(--size-article-image);
    height: var(--size-article-image);
    flex: 0 0 var(--size-article-image);
    margin-left: $grid-gap;

    border-radius: $grid-gap;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
  }

  a {
    display: block;
    position: relative;
    flex: 1;
  }

  p {
    margin: 0;
  }

  .meta {
    @include _display-flex(flex, flex-end, space-between, row);
    margin-bottom: 3px;
  }

  .date {
    @include _font-paragraph('bold', $color-primary);
    @include _font-size($font-size-xs);
  }

  .source {
    @include _font-size($font-size-xs);
  }

  h2 {
    margin: 0;
    @include _font-headline('bold', $color-paragraph);
    @include _font-size($font-size-m);
  }

}
</style>
